Package com.macrofocus.common.command

# Class AbstractUICommand

java.lang.Object
com.macrofocus.common.command.AbstractUICommand

All Implemented Interfaces:
  `Command`, `UICommand`

public abstract class AbstractUICommand extends Object implements UICommand

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractUICommand(MutableProperty<String> titleProperty)`
  `AbstractUICommand(MutableProperty<String> titleProperty, MutableProperty<Boolean> enabledProperty)`
  `AbstractUICommand(MutableProperty<String> titleProperty, MutableProperty<Boolean> enabledProperty, Property<String> keystrokeProperty, Property<String> mnemonicProperty, Property<Object> iconProperty)`
  `AbstractUICommand(MutableProperty<String> titleProperty, Property<String> keystrokeProperty)`
  `AbstractUICommand(MutableProperty<String> titleProperty, String keystroke)`
  `AbstractUICommand(String title)`
  `AbstractUICommand(String title, String keystroke)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MutableProperty<Boolean>`
  `enabledProperty()`
  `Property<Object>`
  `iconProperty()`
  `Property<String>`
  `keystrokeProperty()`
  `Property<String>`
  `mnemonicProperty()`
  `MutableProperty<String>`
  `titleProperty()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.common.command.UICommand

  `execute, execute`

- ## Constructor Details

  - ### AbstractUICommand

    public AbstractUICommand(String title)

  - ### AbstractUICommand

    public AbstractUICommand(String title, String keystroke)

  - ### AbstractUICommand

    public AbstractUICommand(MutableProperty<String> titleProperty)

  - ### AbstractUICommand

    public AbstractUICommand(MutableProperty<String> titleProperty, Property<String> keystrokeProperty)

  - ### AbstractUICommand

    public AbstractUICommand(MutableProperty<String> titleProperty, String keystroke)

  - ### AbstractUICommand

    public AbstractUICommand(MutableProperty<String> titleProperty, MutableProperty<Boolean> enabledProperty)

  - ### AbstractUICommand

    public AbstractUICommand(MutableProperty<String> titleProperty, MutableProperty<Boolean> enabledProperty, Property<String> keystrokeProperty, Property<String> mnemonicProperty, Property<Object> iconProperty)

- ## Method Details

  - ### titleProperty

    public MutableProperty<String> titleProperty()
    Specified by:
      `titleProperty` in interface `UICommand`

  - ### enabledProperty

    public MutableProperty<Boolean> enabledProperty()
    Specified by:
      `enabledProperty` in interface `UICommand`

  - ### keystrokeProperty

    public Property<String> keystrokeProperty()
    Specified by:
      `keystrokeProperty` in interface `UICommand`

  - ### mnemonicProperty

    public Property<String> mnemonicProperty()
    Specified by:
      `mnemonicProperty` in interface `UICommand`

  - ### iconProperty

    public Property<Object> iconProperty()
    Specified by:
      `iconProperty` in interface `UICommand`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`